Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions
sample.hpp File Reference

## Classes
class | ranges::sample_view< Rng, URNG >
struct | ranges::views::sample_base_fn
| Returns a random sample of a range of length `size(range)`. More...
struct | ranges::views::sample_fn

## Functions
template<typename Rng , typename URNG >
| ranges::sample_view (Rng &&, range_difference_t< Rng >, URNG &) -> sample_view< views::all_t< Rng >, URNG >